For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
  • DAFpay
  • Disbursements
      • GETList disbursements
      • POSTCreate a disbursement
      • POSTCreate multiple disbursements
      • GETGet a disbursement
      • POSTApprove a disbursement
      • POSTApprove multiple disbursements
      • POSTCancel a pending disbursement
      • POSTStop payment for a disbursement
      • POSTSandbox: Complete a disbursement
      • POSTSandbox: Fail a disbursement
  • Gift Processing
LogoLogo
Contact usLogin
DisbursementsDisbursements

Sandbox: Complete a disbursement

POST
/v1/simulations/disbursements/:id/complete
POST
/v1/simulations/disbursements/:id/complete
$curl -X POST https://api.givechariot.com/v1/simulations/disbursements/disbursement_01jpjen1s23s29kkmnjsb6fzga/complete \
> -H "Authorization: Bearer <token>"
1{}
Simulates successful disbursement completion for testing purposes. The disbursement must have a status of `submitted`. After calling this endpoint, the disbursement status will be updated to `completed`. <Note title="Sandbox Only" icon="fa-light fa-atom-simple"> This API is only available in the sandbox environment. </Note>
Was this page helpful?
Previous

Sandbox: Fail a disbursement

Next
Built with

Simulates successful disbursement completion for testing purposes. The disbursement must have a status of submitted.

After calling this endpoint, the disbursement status will be updated to completed.

Sandbox Only

This API is only available in the sandbox environment.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The unique identifier for the disbursement

Response

The disbursement completion request was accepted

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error